/* =========================================================
SIDEBAR
========================================================= */

.products-sidebar{
    background:#f5f5f5;
    border-radius:25px;
    padding:20px;
    height:max-content;
    position:sticky;
    top:20px;
}

.filter-box{
    margin-bottom:25px;
}

.filter-box h3{
    font-size:18px;
    margin-bottom:7px;
}

.filter-list{
    display:flex;
    flex-direction:column;
    gap:10px;
}

.filter-check{
    display:flex;
    align-items:center;
    gap:10px;
    font-size:14px;
    cursor:pointer;
}

.filter-box select{
    width:100%;
    height:45px;
    border-radius:12px;
    border:1px solid #ddd;
    padding:0 15px;
}

.apply-filters{
    width:100%;
    height:48px;
    border:none;
    border-radius:14px;
    background:var(--btn-bg);
    color:var(--btn-text);
    font-weight:700;
    cursor:pointer;
}


.price-offer{
    display:flex;
    align-items:center;
    gap:12px;
    margin-bottom:4px;
}
.price-offer p {
    margin: 0;
}
.switch-price{
    position:relative;
    width:48px;
    height:28px;
}

.switch-price input{
    display:none;
}

.switch-price span{
    position:absolute;
    inset:0;
    background:#ddd;
    border-radius:30px;
    cursor:pointer;
    transition:.3s;
}

.switch-price span::before{
    content:'';
    position:absolute;
    width:22px;
    height:22px;
    left:3px;
    top:3px;
    background:#fff;
    border-radius:50%;
    transition:.3s;
}

.switch-price input:checked + span{
    background:var(--btn-bg);
}

.switch-price input:checked + span::before{
    transform:translateX(20px);
}

.price-inputs{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:12px;
    margin-bottom:20px;
}

.price-field {
    border: 1px solid #ddd;
    border-radius: 12px;
    padding: 10px;
    background: #fff;
}

.price-field small {
    color: #777;
}

.price-field input {
    border: none;
    outline: none;
    font-size: 14px;
    font-weight: 700;
    background: none;
}

.range-slider{
    position:relative;
    height:35px;
}
.price-display {
    font-size: 14px;
}
.range-slider input[type=range]{
    position:absolute;
    width:100%;
    pointer-events:none;
    appearance:none;
    background:none;
    top:0;
}

.range-slider input[type=range]::-webkit-slider-thumb{
    appearance:none;
    width:22px;
    height:22px;
    border-radius:50%;
    background:var(--btn-bg);
    cursor:pointer;
    pointer-events:auto;
	margin-top:-9px;
	margin-top:-8px;
}

.range-slider input[type=range]::-webkit-slider-runnable-track{
    height:5px;
    background:var(--btn-bg);
    border-radius:20px;
}
.sidebar-filters-top{
    display:flex;
    align-items:center;
    justify-content:space-between;
    margin-bottom:20px;
}

.sidebar-filters-top h2{
    margin:0;
    font-size:24px;
    font-weight:700;
    color:#111827;
}

.reset-filters{
    font-size:13px;
    text-decoration:none;
    color:#ff5a3c;
    font-weight:600;
    transition:.3s;
}

.reset-filters:hover{
    opacity:.7;
}
/* ========================================
RADIOS MODERNOS
======================================== */

.filter-check{
    border-radius:14px;
    transition:.25s;
    position:relative;
}

.filter-check:hover{
    background:#f5f5f5;
}

.filter-check input[type="radio"]{
    appearance:none;
    -webkit-appearance:none;
    width:20px;
    height:20px;
    border:2px solid #d1d5db;
    border-radius:50%;
    position:relative;
    cursor:pointer;
    transition:.25s;
    flex-shrink:0;
    background:#fff;
}

/* CÍRCULO INTERNO */
.filter-check input[type="radio"]::before{
    content:'';
    width:10px;
    height:10px;
    border-radius:50%;
    background:var(--btn-bg);
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%, -50%) scale(0);
    transition:.2s;
}

/* ACTIVO */
.filter-check input[type="radio"]:checked{
    border-color:var(--btn-bg);
    background:#fff5f2;
}

.filter-check input[type="radio"]:checked::before{
    transform:translate(-50%, -50%) scale(1);
}

/* TEXTO */
.filter-check span{
    font-size:15px;
    font-weight:500;
    color:#111827;
    transition:.25s;
}

/* TEXTO ACTIVO */
.filter-check input[type="radio"]:checked + span{
    color:var(--btn-bg);
    font-weight:700;
}

.filter-list-wrapper{
    position:relative;
}

.filter-list{
    display:flex;
    flex-direction:column;
    gap:10px;
    max-height:190px;
    overflow:hidden;
    transition:max-height .3s ease;
}

.filter-list.expanded{
    max-height:1000px;
}

.toggle-filter-list{
    background:none;
    border:none;
    padding:0;
    margin-top:12px;

    font-size:14px;
    font-weight:600;

    color:#ff5a3c;
    cursor:pointer;
}

.toggle-filter-list:hover{
    opacity:.7;
}
.mobile-filter-header{
    display:none;
}
.mobile-filters-overlay {
    display: none;
}

@media(max-width:992px){

    .sidebar-filters-top{
        display:none;
    }

    .mobile-filter-header{
        display:flex;
        align-items:center;
        justify-content:space-between;

        position:sticky;
        top:0;

        background:#f5f5f5;

        padding-bottom:15px;
        margin-bottom:20px;

        z-index:5;
    }

    .mobile-filter-header h3{
        margin:0;
        font-size:22px;
    }

    .close-mobile-filters{
        width:42px;
        height:42px;
        border:none;
        border-radius:50%;
        background:#fff;
        cursor:pointer;
        font-size:18px;
    }

    .apply-filters{
        position:sticky;
        bottom:0;
        width:100%;
        margin-top:20px;
    }
	
    .products-sidebar{
		top: 0;
		padding-bottom: 120px;
    }

}